<template>
    <v-card flat class="py-5">
    <v-card-text>
      <v-row align="center" justify="center">
        <v-btn-toggle rounded>
          <v-btn :disabled="info.prev == null" @click="prev">
            <v-icon >mdi-chevron-left</v-icon>
          </v-btn>
          <v-btn v-if="getCurrentPage > 5" @click="goToStart">
            <span class="pages">{{1}}</span>
          </v-btn>
          <v-btn v-for="item in (getCurrentPage + 2)" :key="item" @click="gotToPage(item)">
            <span class="currentPage" v-if="item == getCurrentPage">{{item}}</span>
            <span v-else class="pages">{{item}}</span>
          </v-btn>
          <v-btn disabled>...</v-btn>
          <v-btn @click="goToFinal">
            <span class="pages">{{info.pages}}</span>
          </v-btn>
          <v-btn :disabled="info.next == null" @click="next">
            <v-icon>mdi-chevron-right</v-icon>
          </v-btn>
        </v-btn-toggle>
      </v-row>
    </v-card-text>
  </v-card>
</template>
<script>
export default {
    props:{info: [],type: null},
    computed: {
        getNumber(){
            return this.info.pages;
        },
        getCurrentPage(){
          if(this.info.next != null && this.type != null){
            if(this.type == 'character'){
              return parseInt(this.info.next.replace("https://rickandmortyapi.com/api/character?page=", "")) - 1;
            }else if(this.type == "episode"){
              return parseInt(this.info.next.replace("https://rickandmortyapi.com/api/episode?page=", "")) - 1;
            }else if(this.type == "location"){
              return parseInt(this.info.next.replace("https://rickandmortyapi.com/api/location?page=", "")) - 1;
            }
          }else if(type != null){
            if(this.type == 'character'){
              return parseInt(this.info.next.replace("https://rickandmortyapi.com/api/character?page=", "")) + 1;
            }else if(this.type == 'episode'){
              return parseInt(this.info.next.replace("https://rickandmortyapi.com/api/episode?page=", "")) + 1;
            }else if(this.type == 'location'){
              return parseInt(this.info.next.replace("https://rickandmortyapi.com/api/location?page=", "")) + 1;
            }
          }
        },
        getCurrentWithTwoNext(){
          return this.getCurrentPage - 2;
        }
    },
    mounted(){
      //console.log(JSON.stringify(this.info));
    },
    methods: {
      prev(){
        this.$emit('goTo', this.info.prev);
      },
      next(){
        this.$emit('goTo', this.info.next);
      },
      gotToPage(item){
        if(this.type == 'character'){
          this.$emit('goTo', 'https://rickandmortyapi.com/api/character?page=' + item);
        }else if(this.type == 'episode'){
          this.$emit('goTo', 'https://rickandmortyapi.com/api/episode?page=' + item);
        }else if(this.type == 'location'){
          this.$emit('goTo', 'https://rickandmortyapi.com/api/location?page=' + item);
        }
      },
      goToFinal(){
        if(this.type == 'character'){
          this.$emit('goTo', 'https://rickandmortyapi.com/api/character?page=' + this.info.pages);
        }else if(this.type == 'episode'){
          this.$emit('goTo', 'https://rickandmortyapi.com/api/episode?page=' + this.info.pages);
        }else if(this.type == 'location'){
          this.$emit('goTo', 'https://rickandmortyapi.com/api/location?page=' + this.info.pages);
        }
      },
      goToStart(){
        if(this.type == 'character'){
          this.$emit('goTo', 'https://rickandmortyapi.com/api/character?page=1');
        }else if(this.type == 'episode'){
          this.$emit('goTo', 'https://rickandmortyapi.com/api/episode?page=1');
        }else if(this.type == 'location'){
          this.$emit('goTo', 'https://rickandmortyapi.com/api/location?page=1');
        }
      }
    },
}
</script>
<style>
.currentPage{
  font-weight: bold;
  font-size: 30px;
}
.pages{
  font-size: 18px;
}
</style>